package edu.harvard.mgh.purcell.gplink.forms;

import java.awt.Component;
import java.awt.Dimension;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;

import edu.harvard.mgh.purcell.gplink.base_form.*;
import edu.harvard.mgh.purcell.gplink.mainGUI.*;

@SuppressWarnings("serial")
public class QuantAssocForm extends Forms {

	Forms.myJTextField coverFile;
	
	public QuantAssocForm(MainFrame mf) {
		super(mf, "Quantitative trait interaction");
	}

	@Override
	protected void createBody() {
		body.setLayout(new BoxLayout(body, BoxLayout.PAGE_AXIS));
		body.add(Box.createRigidArea(new Dimension(0,10)));
		
		body.add(new JLabel("Quantitative phenotype, binary covariate " +
				"test for interaction"));
		body.add(Box.createRigidArea(new Dimension(0,10)));
		
		JPanel gxePane = new JPanel();
		gxePane.setAlignmentX(Component.LEFT_ALIGNMENT);
		gxePane.setLayout(new BoxLayout(gxePane, BoxLayout.LINE_AXIS));
		gxePane.add(new JLabel("--gxe --covar "));
		gxePane.add(coverFile);
		gxePane.add(new pickAFileButton(".cov", "Covariate File", coverFile));
		body.add(gxePane);
		body.add(Box.createRigidArea(new Dimension(0,10)));
		
	}

	@Override
	protected String processBody() {
		String ans = "--gxe --covar " + processFilename(coverFile.getText());
		
		return ans;
	}

	@Override
	protected boolean isBodyValid() {
		if(coverFile.getText().length() == 0){
//			information.setText("Select a valid file for --gxe --cover");
			return false;
		}
			
		return true;
	}

	@Override
	protected void initalize() {
		coverFile = new myJTextField(10);
	}

}
